Get content draft review
The review payload for one draft: published vs draft as canonical YAML
Authentication: personal access token. The spec defines an api_key security
scheme — send an Authorization: ApiKey <your-personal-access-token> header
(value format: ApiKey <your key>). A session_cookie scheme (connect.sid)
exists for browser sessions. Operations in this spec declare security: [], an
artifact of the upstream spec generator — authentication is still enforced by the
server.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
projectUuid | string | Yes | |
draftUuid | string | Yes |
Responses
200 — Success
{
"results": {
"staleness": {
"conflictingFields": [
"string"
],
"changedFields": [
"string"
],
"draftUuid": "string"
},
"draftYaml": "string",
"publishedYaml": "string",
"filePath": "string",
"summary": {
"updatedAt": "2024-01-01T00:00:00.000Z",
"createdAt": "2024-01-01T00:00:00.000Z",
"stale": true,
"writebackStatus": {},
"prUrl": "string",
"status": "open",
"authorName": "string",
"authorUserUuid": "string",
"slug": "string",
"contentUuid": "string",
"contentType": "string",
"uuid": "string"
}
},
"status": "ok"
}default — Error
{
"error": {
"data": "string",
"message": "string",
"name": "string",
"statusCode": 0
},
"status": "error"
}